"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var runnable_1 = require("../runnable");
/**
 * boot
 *
 * @export
 * @abstract
 * @class Boot
 * @extends {Service<T>}
 * @implements {IBoot<T>}
 * @template T
 */
var Boot = /** @class */ (function (_super) {
    tslib_1.__extends(Boot, _super);
    function Boot() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * run boot.
     *
     * @abstract
     * @param {*} [data]
     * @returns {Promise<any>}
     * @memberof Boot
     */
    Boot.prototype.run = function (data) {
        return this.start(data);
    };
    Boot.classAnnations = { "name": "Boot", "params": { "onInit": ["options"], "run": ["data"] } };
    return Boot;
}(runnable_1.Service));
exports.Boot = Boot;

//# sourceMappingURL=../sourcemaps/boot/boots.js.map
