"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var core_1 = require("@ts-ioc/core");
/**
 * boot.
 *
 * @export
 * @class Boot
 * @implements {IBoot<T>}
 * @template T
 */
var RunnableBase = /** @class */ (function () {
    function RunnableBase(token, instance, config) {
        this.token = token;
        this.instance = instance;
        this.config = config;
    }
    RunnableBase.prototype.getTarget = function () {
        return this.instance;
    };
    RunnableBase.prototype.getTargetToken = function () {
        return this.token || core_1.lang.getClass(this.instance);
    };
    RunnableBase.classAnnations = { "name": "RunnableBase", "params": { "constructor": ["token", "instance", "config"], "getTarget": [], "getTargetToken": [] } };
    tslib_1.__decorate([
        core_1.Inject(core_1.ContainerToken),
        tslib_1.__metadata("design:type", Object)
    ], RunnableBase.prototype, "container", void 0);
    return RunnableBase;
}());
exports.RunnableBase = RunnableBase;
/**
 * target is Runnable or not.
 *
 * @export
 * @param {*} target
 * @returns {target is RunnableBase<any>}
 */
function isRunnable(target) {
    if (target instanceof RunnableBase) {
        return true;
    }
    return false;
}
exports.isRunnable = isRunnable;

//# sourceMappingURL=../sourcemaps/runnable/Runnable.js.map
